function retval = isnumscalar (s)

%ISNUMSCALAR
%   ISNUMSCALAR(S) returns 1 when S is a number such
%   that PROD(SIZE(S))==1; returns 0 otherwise.
%
%Last modified: 25 Jun 04 --Giuseppe Bertini

retval = isnumeric(s) & prod(size(s))==1;