function rept = switchrept (inarr, comp)

%SWITCHREPT   classify repetitions in a string of values
%
%Last modified: 22 Apr 03

if islogical(inarr)
   mask = inarr;
else
   mask = ismember (inarr, comp);
end

rept = double(mask);
for ii=1:length(mask)
   mask = and (mask, [0 mask(1:end-1)]);
   if ~any(mask)
      disp (['max repts: ' num2str(ii)]);
      break
   end
   rept (mask) = ii+1;
end
