function rc = excelpoke (ch, pval, off)

if nargin ==3
   r1 = off(1);
   c1 = off(2);
else
   r1 = 1;
   c1 = 1;
end

if ndims (pval) > 2
   error ('2D matrices only');
end
[vr vc] = size (pval);

stringa = sprintf ('r%dc%d:r%dc%d', ...
   r1, c1, r1+vr-1, c1+vc-1);

rc = ddepoke (ch, stringa, pval);
if rc==0
    warning ('poke failed')
end